---
id: initial
title: Initial Phase
sidebar_label: Initial Phase
slug: /initial
---


The goal of the initial phase was to create a **project plan** and to better define the main question together with the **sub-questions**.

To provide a guideline for the research, the goal of this project has been translated into a main question. Based on the main question a further breakdown of the goal this project has been broken down into sub questions representing project tasks. Each sub question is mapped to its topic and activities in Table 1




| Topics and Sub questions  | Activities  |
| --------                  | ----------  |
|[Azure](../../glossary#azure-cloud) Questions| |
| What are the security threats that must be considered when building an [Azure](../../glossary#azure-cloud) Cloud environment?    | Internet study, Literature Study, Expert Questioning ,Simulation|
| What are the parallels between the services run in [AWS](../../portofolio/glossary#aws-amazon-web-services) and the services run in [Azure](../../glossary#azure-cloud)? | Expert Questioning, Internet Study, Code Analysis, Explore user requirements, Testing|
| What is the best approach in creating an [Azure](../../glossary#azure-cloud) environment given the time frame of the project? | Community research, Literature study, Simulation, Expert Questioning|
|Raven Questions||
| What are the security features that are implemented in the current user environment and how can they be translated to the [Azure](../../glossary#azure-cloud) environment?     | Expert Questioning, Code Analysis|
| What are the requirements for fully running Raven products and what are the security limitations of this product? | Expert Questioning, Internet Study, Code Analysis|
| What are the security requirements of the company and of the project? | Expert Questioning, Available Product Analysis|

 ### Table 1 -  Sub questions and Activities 
 -------------------------------------------


 •	Internet Study

The majority of the time the main authority on the cloud platforms is the documentation given by the vendors. This is available
either in papers or just blog posts on their websites. In addition to this a lot of the community surrounding
Cloud Security and Cloud development prefer writing on their own blogs. The main points of information were docs.microsoft, docs.AWS.amazon, google, cvedetails.com and medium on top of terraform.io

•	Literature Study

To further develop the depth of the Library, study some other sources for information were the official paper released by the
Microsoft corporation concerning securing the Cloud environment and the penetration audits made to identify the main threats to
the platform as of yet.

•	Code Analysis

Because a lot of the infrastructure for [AWS](../../portofolio/glossary#aws-amazon-web-services) is already documented through 
[IAC](../portofolio/iac) an option is to read the provisioning code of the AWS environment made by the company and understand the current architecture from there.
 Furthermore, in order to understand the requirements of the Raven
the product I had to go through the codebase to determine what credentials or variables need to be used.

•	Expert Questioning

Some of the design and technical questions can only be answered by the DTACT developers. As such lists of questions, interviews
and informal slack messages were used to correspond with the respective experts or find answers.

•	Simulation

In some cases, reading was simply not enough as it would not give enough insight into the reasons why certain security features
are implanted such as environment variables or different pipeline functionalities. These functional models were created
inside the test [Azure](../../glossary#azure-cloud) environment or separately

•	Available product analysis

Using the [Azure](../../glossary#azure-cloud) portal and the Raven product in some cases gives more insight into how certain features can be used. Because the
portal dashboards are so intuitive certain API functions that do not seem obvious to use or RBAC (Role Based Access Control)
schemas are automated for the individual.

•	Explore user requirements

Based on the research that is being done the requirements of the project may change slightly, determining whether to focus on
research on implementation is done through council with the project mentor.

-----------------------------------------
### [Project Plan](../../static/documents/ImprovedProjectPlan.pdf) 

-----------------------------------------------